<div class='analyzesChart'>
  <app-graph-line [txt]="{ title: 'Valorificare', description: analyze.total.totalCapital }" [typeValue]='analyze.dsVVal' [typeOp]="[{ value: 'vl', name: 'Valorificat' }]"
    [uom]='analyze.filter.wasteUom' [intervalDate]='analyze.filter.intervalPeriod'></app-graph-line>
</div>

<div class='analyzesGrid'>
  <dx-data-grid [columnAutoWidth]='true' [dataSource]='analyze.dsCaps' [allowColumnResizing]='true' [allowColumnReordering]='true'
    [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='true' [showRowLines]='false' height='100%'
    (onToolbarPreparing)='toolbarPreparing($event)'>

    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
    <dxo-search-panel [visible]='true'></dxo-search-panel>
    <dxo-state-storing [enabled]="true" type="localStorage" storageKey="qhseCapsAnalyzes"></dxo-state-storing>
    <dxo-export [enabled]='true' [enabled]='true' fileName='Valorificare_transport'></dxo-export>
    <dxo-header-filter [visible]='true'></dxo-header-filter>
    <dxo-filter-row [visible]='true'></dxo-filter-row>
    <dxo-column-chooser [enabled]="true" mode='dragAndDrop'></dxo-column-chooser>
    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>

    <dxi-column caption='An' dataField='year' dataType='string'></dxi-column>
    <dxi-column caption='Luna' dataField='month' dataType='string'>
      <dxo-lookup [dataSource]='ds.getMonth' valueExpr='id' displayExpr='name'></dxo-lookup>
    </dxi-column>
    <dxi-column caption='Cod deșeu' dataField='wt_code' dataType='string'>
    </dxi-column>
    <dxi-column caption='Transportat' dataField='quantity' dataType='number'></dxi-column>
    <dxi-column caption='Valorificat' dataField='vt' dataType='number'></dxi-column>
    <dxi-column caption='Procent t / v' [calculateDisplayValue]='tvPercent' dataType='number'>
    </dxi-column>
  </dx-data-grid>
</div>